> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/rest-api/pentaho-data-integration-and-analytics-rest-api.md).

# Pentaho Data Integration and Analytics REST API

This API information is for OEMs to build custom solutions for Pentaho products. The Pentaho API is REST- based and is programming-language independent. Your developers can use any programming language which supports REST-based APIs to create custom applications which interact with Pentaho data.

**Note:** Previous experience with programming and API use is required to use the Pentaho API.

{% file src="/files/2M4BBKCfOEn3khsARKtM" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/rest-api/pentaho-data-integration-and-analytics-rest-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
